/**********************************************************************
  Pacific Coast Harvest Model - a coastal piscatorial simulation
  Copyright (C) 1999  Troy Frever, Columbia Basin Research, University of Washington
     
  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
     
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  For questions regarding this program, please contact:

  Troy Frever or Jim Norris
  UW Columbia Basin Research
  Box 358218
  University of Washington
  Seattle, WA  98195
  troy@u.washington.edu

**********************************************************************/


#include "Array6D.h"

template <class T>
void Array6D<T>::
reshape(int dim1, int dim2, int dim3, int dim4, int dim5, int dim6)
{
    if (array_)
	delete [] array_;
    createArray(dim1, dim2, dim3, dim4, dim5, int dim6);
}

template <class T> 
void Array6D<T>::
createArray(int dim1, int dim2, int dim3, int dim4, int dim5, int dim6)
{
    array_ = new Array5D<T> [dim1];
    for (int i=0; i < dim1; ++i)
	array_[i].reshape(dim2, dim3, dim4, dim5, dim6);
}
