/**********************************************************************
  Pacific Coast Harvest Model - a coastal piscatorial simulation
  Copyright (C) 1998  Troy Frever, Columbia Basin Research, University of Washington
     
  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
     
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  For questions regarding this program, please contact:

  Troy Frever or Jim Norris
  UW Columbia Basin Research
  Box 358218
  University of Washington
  Seattle, WA  98195
  troy@u.washington.edu

**********************************************************************/


// CeilingPolicy.cc

#include "CeilingPolicy.h"
#include "Fishery.h"
//#include "Harvest.h"

class HarvestList;

// take preterm harvests.  
// preconditions:
//	each fishery with harvests in this phase must not harvest in
//	any other phase.
//	reg morts in stocks cleared
// postconditions:
//	preterm catches up to date for these harvests
//	regular morts up to date in stocks

// void CeilingPolicy::take_preterm_harvests()
// {
//     takeHarvests();
    
//     for (int i=0; i < fishlist.num(); ++i) {
// 	const HarvestList &hvl = fishlist[i].get_harvest_list();
// 	hvl.traverse(&Harvest::takeNewPretermHarvest);
// //	hvl.traverse(&Harvest::preterm_harvest);
// 	fishlist[i].enforce_ceiling(PRETERM);
// 	fishlist[i].setShakers();
// 	hvl.traverse(&Harvest::preterm_cnrs);
// 	hvl.traverse(&Harvest::sum_reg_mort_in_stock);
//     }
// }

// // take terminal harvests
// // preconditions:
// //	terminal_run up to date in stocks
// //	each fishery with harvests in this phase must not harvest in
// //	any other phase.
// // postconditions:
// //	all terminal morts up to date in these harvests

// void CeilingPolicy::take_terminal_harvests()
// {
//     takeHarvests();
    
//     for (int i=0; i < fishlist.num(); ++i) {
// 	const HarvestList &hvl = fishlist[i].get_harvest_list();
// 	hvl.traverse(&Harvest::takeNewTermHarvest);
// //	hvl.traverse(&Harvest::terminal_harvest);
// 	fishlist[i].enforce_ceiling(TERM);
// 	fishlist[i].setShakers();	// sets shakers in harvests
// 	hvl.traverse(&Harvest::terminal_cnrs);
//     }
// }

// new style to handle harvests for all timesteps

void CeilingPolicy::takeHarvests()
{
    for (int i=0; i < fishlist.num(); ++i) {
 	fishlist[i].takeHarvests();
// enforce ceilings	
 	fishlist[i].setShakers();
 	fishlist[i].setCNR();
    }
}
