/**********************************************************************
  Pacific Coast Harvest Model - a coastal piscatorial simulation
  Copyright (C) 1998  Troy Frever, Columbia Basin Research, University of Washington
     
  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
     
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  For questions regarding this program, please contact:

  Troy Frever or Jim Norris
  UW Columbia Basin Research
  Box 358218
  University of Washington
  Seattle, WA  98195
  troy@u.washington.edu

**********************************************************************/


#ifndef CohortTokens_H
#define CohortTokens_H

#include "pragma.h"

#include <rw/cstring.h>

class CohortTokens {
  public:
    static const RWCString COHORT;
    static const RWCString FALL;
    static const RWCString SPRING;
    static const RWCString WILD;
    static const RWCString HATCHERY;
    static const RWCString MATURE;
    static const RWCString IMMATURE;
    static const RWCString MARKED;
    static const RWCString UNMARKED;
    static const RWCString TAGGED;
    static const RWCString UNTAGGED;
    static const RWCString MALE;
    static const RWCString FEMALE;
    static const RWCString G1;
    static const RWCString G2;
    static const RWCString G3;
    static const RWCString G4;
    static const RWCString G5;
};

#endif // CohortTokens_H
