/**********************************************************************
  Pacific Coast Harvest Model - a coastal piscatorial simulation
  Copyright (C) 1998  Troy Frever, Columbia Basin Research, University of Washington
     
  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
     
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  For questions regarding this program, please contact:

  Troy Frever or Jim Norris
  UW Columbia Basin Research
  Box 358218
  University of Washington
  Seattle, WA  98195
  troy@u.washington.edu

**********************************************************************/


#ifndef Geographer_H  // system geographic manager : monostate
#define Geographer_H

#include "Region.h"
#include "RegionList.h"


class Geographer {
  public:
    Geographer() {}
    
    static void config(unsigned int nRegions);
    static void checkConfig();

    static unsigned int nRegions()  { return nRegions_; }
    static RegionIter regionIter() { return RegionIter(regions_); }
    static const Region& region(int loc);
    
  private:
    static unsigned int nRegions_;

    // master list of all the regions
    static DestructiveRegionList regions_;
};

#endif // Geographer_H
