/**********************************************************************
  Pacific Coast Harvest Model - a coastal piscatorial simulation
  Copyright (C) 1998  Troy Frever, Columbia Basin Research, University of Washington
     
  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
     
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  For questions regarding this program, please contact:

  Troy Frever or Jim Norris
  UW Columbia Basin Research
  Box 358218
  University of Washington
  Seattle, WA  98195
  troy@u.washington.edu

**********************************************************************/

// PSC_CohortGenerator.h - class for generating and distributing age 0 
// cohorts after production, PSC style.


#ifndef PSC_CohortGenerator_H
#define PSC_CohortGenerator_H

#include "CohortGenerator.h"

class Stock;


// PSC_CohortGenerator takes the production from a stock and makes a new
// age0 cohort for it, or increments the abundance of an existing age0 cohort.

class PSC_CohortGenerator : public CohortGenerator {
  public:
    virtual void newAge0Cohorts(double abd, unsigned region, const Stock* stock, unsigned broodyear);

  private:
    static const unsigned age0Region_;
};


#endif // CohortGenerator_H