/**********************************************************************
  Pacific Coast Harvest Model - a coastal piscatorial simulation
  Copyright (C) 1998  Troy Frever, Columbia Basin Research, University of Washington
     
  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
     
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  For questions regarding this program, please contact:

  Troy Frever or Jim Norris
  UW Columbia Basin Research
  Box 358218
  University of Washington
  Seattle, WA  98195
  troy@u.washington.edu

**********************************************************************/


// Range.h - extrememly simple class to hold a data range

#ifndef Range_H 
#define Range_H 

#include "Bool.h"

template <class T>
class Range {
  public:
    Range() {}
    Range(T f, T l) : first(f), last(l) {}

    // simple containment test
    bool contains(const T& val) const
    { if (val >= first && val <= last) return true; else return false; }

    // static version for access via std lib containers
    static bool contains(const Range<T>& range, void* pval);
    
    T first;
    T last;
};

#include <rw/compiler.h>
#ifdef RW_COMPILE_INSTANTIATE
#include "Range.cpp"
#endif /* compile time instantiation */

#endif // Range_H 
