/**********************************************************************
  Pacific Coast Harvest Model - a coastal piscatorial simulation
  Copyright (C) 1998  Troy Frever, Columbia Basin Research, University of Washington
     
  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
     
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  For questions regarding this program, please contact:

  Troy Frever or Jim Norris
  UW Columbia Basin Research
  Box 358218
  University of Washington
  Seattle, WA  98195
  troy@u.washington.edu

**********************************************************************/



#include "strtools.h"

char *strupper(char *str){
	char *p = str;
	while(*p != '\0'){
		if(*p <= 'z' && *p >= 'a')*p = *p-'a'+'A';
		p++;
	}
	return str;
}
// replaces bzero
void strzero(char *str, int num){
	int i;
	for(i=0;i<num;i++){
		*str=0;
		str++;
	}

}

#ifdef WIN32
/* This routine is not present in the Windows C libraries, so must be
 *  implemented to match the Unix specification.
 */
int strcasecmp( char *s1, char *s2 )
{
	int c1, c2;
	do {
		c1 = *(s1++);
		c2 = *(s2++);
		if (c1 >= 'a' && c1 <= 'z')
			c1 = (c1 - 'a') + 'A';
		if (c2 >= 'a' && c2 <= 'z')
			c2 = (c2 - 'a') + 'A';
		if (c1 != c2)
			return c1 - c2;  // return on first miscompare.
	} while (c1 || c2);
	return 0;  // strings ended without any difference detected.
}

#endif
