/**********************************************************************
  Pacific Coast Harvest Model - a coastal piscatorial simulation
  Copyright (C) 1998  Troy Frever, Columbia Basin Research, University of Washington
     
  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
     
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  For questions regarding this program, please contact:

  Troy Frever or Jim Norris
  UW Columbia Basin Research
  Box 358218
  University of Washington
  Seattle, WA  98195
  troy@u.washington.edu

**********************************************************************/


#ifndef TopTokens_H
#define TopTokens_H

// Top level tokens.  Declared here and defined in TopTokens.cpp so
// as to provide both a single reference, and to ensure common usage
// of the same target strings in both input and output classes.
// Ideally this would be accomplished with constants in a namespace,
// but since our compiler can't handle that, static const class
// members are used instead.

#include <rw/cstring.h>

class TopTokens {
  public:
    static const RWCString CONFIGURATION;
    static const RWCString TRANSMAT;
    static const RWCString MATURATION;
    static const RWCString HVRATE;
    static const RWCString FPDATA;
    static const RWCString NATMORTDATA;
    static const RWCString PNVDATA;
    static const RWCString SHAKERDATA;
    static const RWCString CNRDATA;
    static const RWCString CEILINGSCALAR;
    static const RWCString MULTICEILINGSCALAR;
    static const RWCString CEILINGDATA;
    static const RWCString COHORTS;
    static const RWCString PRODUCTIONFNS;
    static const RWCString FISHERYSCHEDULE;
};

#endif // TopTokens_H
