/**********************************************************************
  Pacific Coast Harvest Model - a coastal piscatorial simulation
  Copyright (C) 1999  Troy Frever, Columbia Basin Research, University of Washington
     
  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
     
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  For questions regarding this program, please contact:

  Troy Frever or Jim Norris
  UW Columbia Basin Research
  Box 358218
  University of Washington
  Seattle, WA  98195
  troy@u.washington.edu

**********************************************************************/

// iotools.cpp  - common utilities

#include "iotools.h"
#include "log.h"

// utility fn for opening an output file.  return 0 on success, else non-zero.

int open_outfile(FILE *&fp, const char *fn)
{
    // open file for writing; log message if overwriting
#ifndef WIN32
    /* TODO Windows should check for file existence too. */
    if (! access(fn, F_OK))
        ::LogMsg(L_Warning, "file %s already exists; overwriting...\n", fn);
#endif
    
    if ( ! (fp = fopen(fn, "w")))
    {
        ::LogMsg(L_Error, "cannot write to output file %s\n", fn);
        return 1;
    }
    
    else
        return 0;
}
